Package com.sun.speech.freetts.en.us

# Class PrefixFSM

java.lang.Object
com.sun.speech.freetts.en.us.PronounceableFSM
com.sun.speech.freetts.en.us.PrefixFSM

public class PrefixFSM extends PronounceableFSM
Implements a finite state machine that checks if a given string is a prefix.

## Field Summary

### Fields inherited from class com.sun.speech.freetts.en.us.PronounceableFSM

`scanFromFront, transitions, vocabularySize`

## Constructor Summary

Constructors
Constructor
Description
`PrefixFSM(URL url)`
Constructs a PrefixFSM.

## Method Summary

### Methods inherited from class com.sun.speech.freetts.en.us.PronounceableFSM

`accept`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrefixFSM

public PrefixFSM(URL url) throws IOException
Constructs a PrefixFSM.

Throws:
  `IOException`